Update the CI by IDAsk AIpatch https://{account}.sysaidit.com/connect/v1/cis/{ciId}Update a specific CI by its ID.Path ParamsciIdintegerrequiredThe unique identifier of the CI in SysAid.Body ParamsserialNumberstring | nullThe serial number of the CI.primaryCategoryIdinteger | nullThe primary category ID of the CI.secondaryCategoryIdinteger | nullThe secondary category ID providing further classification.thirdLevelCategoryIdinteger | nullThe tertiary classification ID of the item.ownerIdinteger | nullThe unique identifier of the user who owns the CI.ownerGroupIdinteger | nullThe unique identifier of the group that owns the CI.locationIdinteger | nullThe identifier of the CI location.companyIdinteger | nullThe identifier of the company the CI is assigned to.statusIdinteger | nullThe identifier of the CI's status.priorityIdinteger | nullThe identifier of the CI's priority level.supplierIdinteger | nullThe identifier of the CI's supplier.supplyDatedate | nullThe date when the CI was supplied.acceptDatedate | nullThe date when the CI was accepted from the supplier.namestringThe name of the CI.versionintegerrequiredThe CI's version.Responses 200The updated CI. 400The request was invalid or cannot be served 401Authentication information is missing or invalid 404The specified resource was not found 409The request could not be completed due to a conflict with the current state of the resource. This typically occurs when attempting to create a duplicate resource, update a resource that has been modified by another process, or when business rules prevent the operation.Updated 6 months ago